Bug 123624 - port java/sablevm installs jni.h in /usr/local/include that messes up other JVM builds.
Summary: port java/sablevm installs jni.h in /usr/local/include that messes up other J...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-05-13 07:50 UTC by areilly
Modified: 2008-06-21 10:30 UTC (History)
0 users

See Also:


Attachments
ports-java-sablevm-1.13_3.diff (1.05 KB, patch)
2008-05-18 10:07 UTC, Björn König
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description areilly 2008-05-13 07:50:01 UTC
	per pr java/123608: sablevm installs jni.h directly into
	/usr/local/include, where it is found by c and c++
	compilers on the standard search path, before the other
	JVM's own jni.h headers.  This causes them (specifically
	java/jdk16) to fail to build.

Fix: 

work-around: de-install java/sablevm before attempting
	to install jdk16, and re-install after.

	Fix would be for port to install header in
	/usr/local/lib/sablevm/include, which (currently)
	contains a symlink to the /usr/local/include version.
How-To-Repeat: 	install java/sablevm
	attempt to build java/jdk16 -- see it break.
Comment 1 Edwin Groothuis freebsd_committer 2008-05-13 07:50:09 UTC
Maintainer of java/sablevm,

Please note that PR ports/123624 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/123624

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2008-05-13 07:50:11 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Björn König 2008-05-15 03:53:29 UTC
Thanks. I can reproduce this problem and I'm working on a solution.

Björn
Comment 4 Björn König 2008-05-18 10:07:20 UTC
Here's a patch. Now the port installs the headers to
${PREFIX}/include/sablevm. This should avoid conflicts.
Comment 5 dfilter service freebsd_committer 2008-06-21 10:20:15 UTC
miwi        2008-06-21 09:20:11 UTC

  FreeBSD ports repository

  Modified files:
    java/sablevm         Makefile pkg-plist 
  Log:
  - Fix build with jdk16
  
  PR:             123624
  Submitted by:   Andrew Reilly <areilly@bigpond.net.au>
  Approved by:    maintainer
  
  Revision  Changes    Path
  1.45      +2 -1      ports/java/sablevm/Makefile
  1.10      +3 -2      ports/java/sablevm/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Martin Wilke freebsd_committer 2008-06-21 10:20:28 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!